void _fastcall dfputs(char _near *);
void _fastcall dfputs(char _near *);
void _fastcall printn(unsigned short);
void _fastcall printd(unsigned short);
int net_socket(int, struct net_addr _far *);
void net_perror(char _near *);
int _fastcall convert_error(int);

int _fastcall tcpopen_init(short _far *);
int _fastcall tcpopen_shutdown(short _far *);
int _fastcall tcpopen_socket(short _far *);
int _fastcall tcpopen_info(short _far *);
int _fastcall tcpopen_accept(short _far *);
int _fastcall tcpopen_drain(short _far *);
int _fastcall tcpopen_release(short _far *);
int _fastcall tcpopen_eof(short _far *);
int _fastcall tcpopen_read(short _far *);
int _fastcall tcpopen_write(short _far *);
int _fastcall tcpopen_recv(short _far *);
int _fastcall tcpopen_sendto(short _far *);
int _fastcall tcpopen_select(short _far *);

#undef htons
#undef ntohs
#define htons(x) ((u_int)((u_char)(x) << 8) | (u_char)((unsigned int)(x) >> 8))
#define ntohs(x) ((u_int)((u_char)(x) << 8) | (u_char)((unsigned int)(x) >> 8))
